org.opencv.ximgproc

## Class EdgeAwareInterpolator

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.ximgproc.SparseMatchInterpolator
    - - org.opencv.ximgproc.EdgeAwareInterpolator

-     public class EdgeAwareInterpolator
      extends SparseMatchInterpolator

  Sparse match interpolation algorithm based on modified locally-weighted affine estimator from CITE: Revaud2015 and Fast Global Smoother as post-processing filter.

- - ### Field Summary

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `EdgeAwareInterpolator(long addr)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EdgeAwareInterpolator` | `__fromPtr__(long addr)`
    `protected void` | `finalize()`
    `float` | `getFGSLambda()` SEE: setFGSLambda
    `float` | `getFGSSigma()` SEE: setFGSLambda
    `int` | `getK()` SEE: setK
    `float` | `getLambda()` SEE: setLambda
    `float` | `getSigma()` SEE: setSigma
    `boolean` | `getUsePostProcessing()` SEE: setUsePostProcessing
    `void` | `setFGSLambda(float _lambda)` Sets the respective fastGlobalSmootherFilter() parameter.
    `void` | `setFGSSigma(float _sigma)` SEE: setFGSLambda
    `void` | `setK(int _k)` K is a number of nearest-neighbor matches considered, when fitting a locally affine model.
    `void` | `setLambda(float _lambda)` Lambda is a parameter defining the weight of the edge-aware term in geodesic distance, should be in the range of 0 to 1000.
    `void` | `setSigma(float _sigma)` Sigma is a parameter defining how fast the weights decrease in the locally-weighted affine fitting.
    `void` | `setUsePostProcessing(boolean _use_post_proc)` Sets whether the fastGlobalSmootherFilter() post-processing is employed.

    - ### Methods inherited from class org.opencv.ximgproc.SparseMatchInterpolator

      `interpolate`

    - ### Methods inherited from class org.opencv.core.Algorithm

      `clear, empty, getDefaultName, getNativeObjAddr, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EdgeAwareInterpolator

          protected EdgeAwareInterpolator(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static EdgeAwareInterpolator __fromPtr__(long addr)

    - #### getUsePostProcessing

          public boolean getUsePostProcessing()

      SEE: setUsePostProcessing
      Returns:
        automatically generated

    - #### getFGSLambda

          public float getFGSLambda()

      SEE: setFGSLambda
      Returns:
        automatically generated

    - #### getFGSSigma

          public float getFGSSigma()

      SEE: setFGSLambda
      Returns:
        automatically generated

    - #### getLambda

          public float getLambda()

      SEE: setLambda
      Returns:
        automatically generated

    - #### getSigma

          public float getSigma()

      SEE: setSigma
      Returns:
        automatically generated

    - #### getK

          public int getK()

      SEE: setK
      Returns:
        automatically generated

    - #### setFGSLambda

          public void setFGSLambda(float _lambda)

      Sets the respective fastGlobalSmootherFilter() parameter.
      Parameters:
        `_lambda` - automatically generated

    - #### setFGSSigma

          public void setFGSSigma(float _sigma)

      SEE: setFGSLambda
      Parameters:
        `_sigma` - automatically generated

    - #### setK

          public void setK(int _k)

      K is a number of nearest-neighbor matches considered, when fitting a locally affine model. Usually it should be around 128. However, lower values would make the interpolation noticeably faster.
      Parameters:
        `_k` - automatically generated

    - #### setLambda

          public void setLambda(float _lambda)

      Lambda is a parameter defining the weight of the edge-aware term in geodesic distance, should be in the range of 0 to 1000.
      Parameters:
        `_lambda` - automatically generated

    - #### setSigma

          public void setSigma(float _sigma)

      Sigma is a parameter defining how fast the weights decrease in the locally-weighted affine fitting. Higher values can help preserve fine details, lower values can help to get rid of noise in the output flow.
      Parameters:
        `_sigma` - automatically generated

    - #### setUsePostProcessing

          public void setUsePostProcessing(boolean _use_post_proc)

      Sets whether the fastGlobalSmootherFilter() post-processing is employed. It is turned on by default.
      Parameters:
        `_use_post_proc` - automatically generated

    - #### finalize

          protected void finalize()
                           throws Throwable

      Overrides:
        `finalize` in class `SparseMatchInterpolator`
      Throws:
        `Throwable`

Generated on Wed Oct 9 2019 16:55:37 UTC / OpenCV 3.4.8